Skip to main content
POST
CompareSyncStats

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

Application containing the connector.

connector_id
string
required

Connector whose production runs and draft evidence may be compared.

Body

application/json

CompareSyncStatsRequest selects two runs with recorded aggregate statistics.

This message contains a oneof named right. Only a single field of the following list may be set at a time:

  • rightLifecycleId
  • draftTestRun
draftTestRun
Draft Sync Test Run Reference · object | null

DraftSyncTestRunReference identifies retained draft-test statistics for this connector's installation.

leftLifecycleId
string

Production lifecycle used as the before side.

rightLifecycleId
string | null

Production lifecycle used as the after side. This field is part of the right oneof. See the documentation for c1.api.app.v1.CompareSyncStatsRequest for more details.

Response

200 - application/json

CompareSyncStatsResponse contains count deltas only, without synced records or file access.

CompareSyncStatsResponse contains count deltas only, without synced records or file access.

c1zSizeDelta
string<int64>

Recorded file-size difference in bytes; this does not provide access to the file.

largeDecrease
string[] | null

Resource types with a large decrease in at least one count category.

perType
Sync Resource Type Delta · object[] | null

Union of resource types from all three count maps, ordered by identifier.

typesAdded
string[] | null

Resource types present only on the after side.

typesRemoved
string[] | null

Resource types present only on the before side.